DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# FTGaussian

Generates the Fourier transform of a Gaussian

## SYNOPSIS

`#include "dip_generation.h"`

dip_Error dip_FTGaussian ( output, sigma, volume, cutoff )

## DATA TYPES

Output: sfloat, scomplex

## FUNCTION

Generates the Fourier transform of a Gaussian with sigma's `sigma`. (The Fourier transform of a Gaussian, is a Gaussian.) `volume` is the integral of the Gaussian in the spatial domain. The `cutoff` variable can be used to avoid the calculation of the exponent of large negative values, which is can be very time consuming. Values of the exponent that are below `cutoff` yield a 0 value for the exponent. When `cutoff` is set to 0 or a positive value, `DIP_GENERATION_EXP_CUTOFF` is used (it is defined as -50).

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `output` | Output Image
`dip_FloatArray` | `sigma` | Sigma of the Gaussian
`dip_float` | `volume` | Total intensity of the Gaussian
`dip_float` | `cutoff` | Cutoff value for the exponent

## SEE ALSO

`FTEllipsoid`, `FTSphere`, `FTBox`, `FTCube`, `FTCross`